// data/action_effect_dto.dart
import 'package:json_annotation/json_annotation.dart';

part 'action_effect.g.dart';


@JsonSerializable()
class ActionEffectDTO {
  final String action; 
  final String effect;

  const ActionEffectDTO({
    required this.action,
    required this.effect,
  });

  factory ActionEffectDTO.fromJson(Map<String, dynamic> json) => _$ActionEffectDTOFromJson(json);
  Map<String, dynamic> toJson() => _$ActionEffectDTOToJson(this);
}
